package com.zswc.creativity.config

import com.zswc.creativity.BuildConfig
import com.ysnows.base.config.IConfig

object  Config : IConfig {
    override fun baseUrl(): String {
      // return "https://heifengwuliu.qs110.com/"
     // return "https://heifengwuliudev.qs110.com/"

     // return "https://xinyunbida.qs110.com/"

        return "https://cc.chuangchi.vip/index.php/api/"
   //  return "https://xinyunbidadev.qs110.com/"//注意：切换的时候注意切换buggly

    }

    override fun BBDCUrl(): String? {
        return "https://1tyy.cn/"
    }

    override fun searchUrl(): String? {
        return null
    }

    override fun imageUrl(): String? {
        return null
    }

    override fun buglyAppId(): String? {

        return "4e13ff1813"
    }

    override fun ossEndpoint(): String? {
        return null
    }

    override fun ossAccessKeyId(): String? {
        return null
    }

    override fun ossBucket(): String? {
        return null
    }

    override fun ossAccessKeySecret(): String? {
        return null
    }

    override fun UmengAppKey(): String {
        return "5f5603967823567fd8650597"
    }

    override fun appId(): String {
       return "q88e781e8d484"
    }

    override fun appSecurity(): String {
      return "37252555"
    }

    override fun enterpriseSenderCode(): String {
       return "9db07b886ee3457aa33bf79745591fa21ae24fdc687794431c98668520e5dd18d5"
    }

    override fun publicKey(): String {//公钥
       return "MIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCpk3FnPYXzQrydZSgPMIbyqE2W\n" +
               "TKzw0/lCgx1dKcKapMFUql+z8trMG1xtBqw+7oY9rE6NYMvANYyhI4i6fLv0aIZy\n" +
               "kvnd+JIeqFwhHZYqCof0K4EuaG5CUsz4OlUUdRDzhdId/yuSfhW6srCJDOcvZfYW\n" +
               "blXT/Dl1YBEDPE22fwIDAQAB"
    }

    override fun publicKeyName(): String {
       return "actk"
    }

    override fun keyName(): String {
       return "actime"
    }
    /**
     * 获取版本号
     */
    override fun getVersionCode(): Int? {
        return BuildConfig.VERSION_CODE;
    }
    /**
     * 获取版本名
     */
    override fun getVersionName(): String? {
        return BuildConfig.VERSION_NAME;
    }
}
